import request from '@/utils/request'

// 查询网络配置 列表
export function listNetworkconfig(query) {
  return request({
    url: '/device/networkconfig/list',
    method: 'get',
    params: query
  })
}

// 查询网络配置 详细
export function getNetworkconfig(networkConfigId) {
  return request({
    url: '/device/networkconfig/' + networkConfigId,
    method: 'get'
  })
}

// 新增网络配置 
export function addNetworkconfig(data) {
  return request({
    url: '/device/networkconfig',
    method: 'post',
    data: data
  })
}

// 修改网络配置 
export function updateNetworkconfig(data) {
  return request({
    url: '/device/networkconfig',
    method: 'put',
    data: data
  })
}

// 删除网络配置 
export function delNetworkconfig(networkConfigId) {
  return request({
    url: '/device/networkconfig/' + networkConfigId,
    method: 'delete'
  })
}

// 导出网络配置 
export function exportNetworkconfig(query) {
  return request({
    url: '/device/networkconfig/export',
    method: 'get',
    params: query
  })
}